Download it now!
Bug 62990 - Reading MS Excel XML ss:Index attribute ignored in ss:Row tag
Summary: Reading MS Excel XML ss:Index attribute ignored in ss:Row tag
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.0.1.2 release
Hardware: Other All
: medium major
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: filter:xlsx
: 66782 (view as bug list)
Depends on:
Blocks: XLSX
  Show dependency treegraph
 
Reported: 2013-04-01 11:26 UTC by Michael Williamson
Modified: 2019-02-24 21:09 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Williamson 2013-04-01 11:26:53 UTC
The ss:Index attribute works fine for ss:Cell but not for ss:Row. Here is an example:
<?xml version="1.0" encoding="UTF-8"?>
<Workbook xmlns="urn:schemas-microsoft-com:office:spreadsheet" xmlns:ss="urn:schemas-microsoft-com:office:spreadsheet">
<ss:Styles>
</ss:Styles>
<ss:Worksheet ss:Name="Sheet">
<ss:Table>
<ss:Row ss:Index="2">
<ss:Cell>
<ss:Data ss:Type="String">Should be in row 2 column 1</ss:Data>
</ss:Cell>
</ss:Row>
<ss:Row ss:Index="4">
<ss:Cell ss:Index="4">
<ss:Data ss:Type="String">Should be in row 4 column 4</ss:Data>
</ss:Cell>
</ss:Row>
</ss:Table>
</ss:Worksheet>
</Workbook>
Comment 1 Urmas 2014-03-08 10:13:19 UTC
Confirmed.
Comment 2 Joel Madero 2014-03-08 16:57:17 UTC
Can I ask why this is a major bug? Major bugs are typically loss of data/crashes and the like? Just curious why it got this priority vs. normal which is "prevents high quality work". I don't know enough about this to know so just asking.

Also - once a bug is confirmed we can remove NeedsDevEval. 

Thanks Urmas
Comment 3 Urmas 2014-10-15 15:40:38 UTC
*** Bug 66782 has been marked as a duplicate of this bug. ***
Comment 4 QA Administrators 2015-12-20 16:14:49 UTC Comment hidden (obsolete)
Comment 5 QA Administrators 2017-01-03 19:49:00 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.1.6 or 5.2.3  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20170103